### Method

# Gtk Viewport set_scroll_to_focus

#### Declaration [src]

    void
    gtk_viewport_set_scroll_to_focus (
      GtkViewport* viewport,
      gboolean scroll_to_focus
    )

#### Description [src]

Sets whether the viewport should automatically scroll to keep the focused child in view.

Sets property | `Gtk.Viewport:scroll-to-focus`

#### Parameters

`scroll_to_focus` | `gboolean`
| Whether to keep the focus widget scrolled to view.